/*
   3D Invaders

   shots.h

   (c)2002 Paul Boese
*/

#ifndef __SHOTS_H
#define __SHOTS_H

#include "common.h"

#define MAX_SHOTS 5

class Shots;

class Shots {
	private:
		int smode;
		int reload_ticks;
		static int refcnt;
		float distance;
		float velocity;
		float rotf;
		int roti;
		point_t position;
		point_t direction;

		int draw_flight();

	public:
		Shots();

		point_t * Pos() {
			return &position;
		}

		int Active();

		void Hit();
		
		void Fire(point_t * initial_pos);

		void Fired();
};

#endif /* __SHOTS_H */
